# getBalance

```javascript
(async() => {
    let balance_1 = await SOLPay.getBalance(); // {"lamports": 1}
    let balance_2 = await SOLPay.getBalance("SOLANA_ADDRESS"); // {"lamports": 1}
})();
```

### Parameters:

* address (optional, default: connected wallet address): string - the Solana address with which to get the Solana lamports balance

### Returns:

object (`{"lamports": 1}`) - the balance details for the specified address

* lamports: number (`1`) - the number of lamports in the account

### Throws:

* `SOL Pay SDK Fatal Error: Invalid address ${address}, and no wallet was connected. Use SOLPay.connectWallet() to connect to a Solana wallet.` - an invalid address was used, and no wallet was connected
* `SOL Pay SDK Fatal Error: No connection found. Use SOLPay.connectNetwork() to connect to the Solana network.` - could not find a connection to the Solana network
* `SOL Pay SDK Fatal Error: Connection did not respond. Use SOLPay.connectNetwork() to connect to the Solana network.` - did not receive response from Solana network


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/sdk-reference/get-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
